@file:Suppress("unused")

package no.vegvesen.meldingsformidler.common.domain

import java.security.MessageDigest

object ContentHasher {
    fun epostInnholdHash(emne: String, innhold: String, mottakerIdentifier: String): String =
        contentHash(emne + innhold + mottakerIdentifier)

    fun dokumentInnholdHash(
        tittel: String, hoveddokumentTittel: String, hoveddokumentBytes: ByteArray, mottakerIdentifier: String
    ): String = contentHash(tittel + hoveddokumentTittel + String(hoveddokumentBytes, Charsets.UTF_8) + mottakerIdentifier)

    private fun contentHash(input: String): String {
        val digest = MessageDigest.getInstance("MD5")
        val hashBytes = digest.digest(input.toByteArray())
        val hashString = hashBytes.joinToString("") { "%02x".format(it) }
        return hashString.chunked(8).joinToString("-")
    }

}
