package no.vegvesen.meldingsformidler.common.domain

import no.vegvesen.meldingsformidler.common.extensions.StringExtensions.requiredLength
import org.apache.commons.lang3.builder.EqualsBuilder
import org.apache.commons.lang3.builder.HashCodeBuilder

data class Dokument(
    val tittel: String,
    val bytes: ByteArray
) {
    init {
        tittel.requiredLength(1..100, "Dokumenttittel")
    }

    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (other !is Dokument) return false

        return EqualsBuilder()
            .append(tittel, other.tittel)
            .append(bytes.contentToString(), other.bytes.contentToString())
            .isEquals
    }

    override fun hashCode(): Int {
        return HashCodeBuilder()
            .append(tittel)
            .append(bytes)
            .build()
    }

    override fun toString(): String {
        return "Dokument(tittel='$tittel', bytes=[size=${bytes.size}])"
    }
}