package no.vegvesen.meldingsformidler.common.domain

import no.vegvesen.meldingsformidler.common.extensions.StringExtensions.requiredLength

@Suppress("unused", "MemberVisibilityCanBePrivate")
data class Epostadresse(
    val value: String
) {
    init {
        validateEpostFields(value)
    }

    companion object {
        const val maxEmailLength = 100

        fun validateEpostFields(epostAdresse: String) {
            epostAdresse.requiredLength(1..maxEmailLength, "Email address")
            require(epostAdresse.contains("@")) { "Email address is not valid" }
        }
    }
}