package no.vegvesen.meldingsformidler.common.domain

@Suppress("unused")
enum class Kanal(
    val id: Int,
    val navn: String
) {
    DigitalPost(id = 1, navn = "Digital Post"),
    Epost(id = 2, navn = "Epost"),
    Brev(id = 4, navn = "Brev"),
    Altinn(id = 5, navn = "Altinn");

    companion object {
        fun fromId(id: Int): Kanal? {
            return entries.find { it.id == id }
        }
        fun fromNavn(navn: String): Kanal? {
            return entries.find { it.navn.lowercase() == navn.lowercase() }
        }
    }
}
