package no.vegvesen.meldingsformidler.common.domain

import java.util.UUID

@Suppress("unused")
data class MeldingUuid(val id: UUID) {

    constructor(uuidString: String) : this(UUID.fromString(uuidString))

    companion object {
        fun fromNullable(id: String?): MeldingUuid? =
            if (id.isNullOrEmpty())
                null
            else
                MeldingUuid(id)
    }

}
