package no.vegvesen.meldingsformidler.common.domain

enum class Sikkerhetsniva(val niva: Int) {
    Betydelig(3),
    Hoyeste(4);

    companion object {
        fun fromInt(niva: Int): Sikkerhetsniva {
            for (sikkerhetsniva in Sikkerhetsniva.entries) {
                if (sikkerhetsniva.niva == niva) return sikkerhetsniva
            }
            throw UnableToParseToSikkerhetsnivaEnumException(niva)
        }
    }

    class UnableToParseToSikkerhetsnivaEnumException(id: Int) :
        UnableToParseToEnumException(id.toString(), PostType::class)
}
