package no.vegvesen.meldingsformidler.common.domain

@Suppress("unused")
enum class Varslingstype(val visningstekst: String) {
    LovpalagtVarsel("Lovpålagt varsel"),
    IkkeLovpalagtVarsel("Ikke lovpålagt varsel"),
    IngenVarsel("Ingen varsel"),
}

@Suppress("unused")
enum class DigitalPostVarsel(val beskrivelse: String) {
    VarselFraPostkasse("Mottaker blir varslet etter postkassens innstillinger"),
    VarselFraPostkasseOgVegvesenet("Mottaker blir varslet etter postkassens innstillinger og får separat melding på epost eller sms. Meldingen blir brev om epost eller sms ikke er satt opp."),
}

@Suppress("unused")
fun DigitalPostVarsel.toVarslingstype(): Varslingstype = when (this) {
    DigitalPostVarsel.VarselFraPostkasse -> Varslingstype.IngenVarsel
    DigitalPostVarsel.VarselFraPostkasseOgVegvesenet -> Varslingstype.LovpalagtVarsel
}

@Suppress("unused")
fun Varslingstype.toOffentligPostVarsel(): DigitalPostVarsel = when (this) {
    Varslingstype.LovpalagtVarsel -> DigitalPostVarsel.VarselFraPostkasseOgVegvesenet
    Varslingstype.IkkeLovpalagtVarsel, Varslingstype.IngenVarsel -> DigitalPostVarsel.VarselFraPostkasse
}