package no.vegvesen.meldingsformidler.common.extensions

@Suppress("unused")
object ExceptionExtensions {

    fun Exception.toLogMessageWithPrefix(descriptionOfOperation: String): String =
        if (stackTrace.isNotEmpty()) {
            val element = stackTrace[0]
            "Error during $descriptionOfOperation: ${this.message} at ${element.className}.${element.methodName}:${element.lineNumber}"
        } else {
            "Error during $descriptionOfOperation: ${this.message} (no stack trace)"
        }


}
