package no.vegvesen.meldingsformidler.common.meldingsformidlerresult

sealed interface HttpResult {
    val statusCode: Int
    fun status() = when (statusCode) {
        200 -> HttpStatus.Ok
        401 -> HttpStatus.NotAuthorized
        500 -> HttpStatus.InternalServerError
        404 -> HttpStatus.NotFound
        else -> HttpStatus.Error
    }

    enum class HttpStatus {
        Ok,
        NotAuthorized,
        InternalServerError,
        NotFound,
        Error
    }

}